Package org.apache.any23.extractor.microdata

## Class MicrodataExtractorTest.TestRDFHandler

- java.lang.Object
- - org.apache.any23.extractor.microdata.MicrodataExtractorTest.TestRDFHandler

- All Implemented Interfaces:
    `org.eclipse.rdf4j.rio.RDFHandler`
  Enclosing class:
    MicrodataExtractorTest

      public static class MicrodataExtractorTest.TestRDFHandler
      extends Object
      implements org.eclipse.rdf4j.rio.RDFHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestRDFHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endRDF()` |
    `protected List<org.eclipse.rdf4j.model.Statement>` | `getStatements()` |
    `void` | `handleComment​(String s)` |
    `void` | `handleNamespace​(String s, String s1)` |
    `void` | `handleStatement​(org.eclipse.rdf4j.model.Statement statement)` |
    `void` | `startRDF()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRDFHandler

          public TestRDFHandler()

  - ### Method Detail

    - #### getStatements

          protected List<org.eclipse.rdf4j.model.Statement> getStatements()

    - #### startRDF

          public void startRDF()
                        throws org.eclipse.rdf4j.rio.RDFHandlerException

      Specified by:
        `startRDF` in interface `org.eclipse.rdf4j.rio.RDFHandler`
      Throws:
        `org.eclipse.rdf4j.rio.RDFHandlerException`

    - #### endRDF

          public void endRDF()
                      throws org.eclipse.rdf4j.rio.RDFHandlerException

      Specified by:
        `endRDF` in interface `org.eclipse.rdf4j.rio.RDFHandler`
      Throws:
        `org.eclipse.rdf4j.rio.RDFHandlerException`

    - #### handleNamespace

          public void handleNamespace​(String s,
                                      String s1)
                               throws org.eclipse.rdf4j.rio.RDFHandlerException

      Specified by:
        `handleNamespace` in interface `org.eclipse.rdf4j.rio.RDFHandler`
      Throws:
        `org.eclipse.rdf4j.rio.RDFHandlerException`

    - #### handleStatement

          public void handleStatement​(org.eclipse.rdf4j.model.Statement statement)
                               throws org.eclipse.rdf4j.rio.RDFHandlerException

      Specified by:
        `handleStatement` in interface `org.eclipse.rdf4j.rio.RDFHandler`
      Throws:
        `org.eclipse.rdf4j.rio.RDFHandlerException`

    - #### handleComment

          public void handleComment​(String s)
                             throws org.eclipse.rdf4j.rio.RDFHandlerException

      Specified by:
        `handleComment` in interface `org.eclipse.rdf4j.rio.RDFHandler`
      Throws:
        `org.eclipse.rdf4j.rio.RDFHandlerException`